	program split
c
	character*90 x
	character*9 outfile
	character*10 test
	character*1 anum(10),adec1,adec2,adec3
	data anum/'0','1','2','3','4','5','6','7','8','9'/
c
	open(10,file='dean.3',status='UNKNOWN')
c
	nlist=0
  100	nlist=nlist+1
  	idec1=int(nlist/100)
  	idec2=int((nlist-idec1*100)/10)
  	idec3=nlist-idec1*100-idec2*10
  	adec1=anum(idec1+1)
  	adec2=anum(idec2+1)
  	adec3=anum(idec3+1)
  	outfile='dean.3'//adec2//adec3
	write(6,901) idec1,idec2,idec3,adec1,adec2,adec3,outfile
  901	format(3i2,2x,3a2,2x,a9)
	open(11,file=outfile,status='UNKNOWN')

	do 300 nstar=1,100
   	read(10,902,end=999) x
  902	format(a90)
	write(11,902) x
  200	read(10,903) x,test
  903	format(a90,t1,a10)
  	write(11,902) x
  	if (test .eq. '          ') go to 300
  	go to 200
  300	continue
	close(11)
c
	go to 100
  999	stop
  	end
